// pages/video/video.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bg_color:'',
    src:'http://wxsnsdy.tc.qq.com/105/20210/snsdyvideodownload?filekey=30280201010421301f0201690402534804102ca905ce620b1241b726bc41dcff44e00204012882540400&bizid=1023&hy=SH&fileparam=302c020101042530230204136ffd93020457e3c4ff02024ef202031e8d7f02030f42400204045a320a0201000400'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      bg_color:getApp().page_bg
    })
    this.getVideoUrl()
  },
  // 获取视频地址
  getVideoUrl(){
    wx.request({
      url: 'https://tjfnew.china315net.com/ajax/video_url.ashx?videoid=80aaac4de1d171eea06f6732b78e0102&json=1',
      method:'GET',
      success:(res) => {
        const {statusCode,data} = res
        if (statusCode == 200) {
          const {CoverURL,playUrl} = data
          this.setData({
            src:playUrl
          })
        }
        console.log(res);
      },
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})